Skip to content
master
Go to file
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

README.md

PostCSS Replace Overflow Wrap CSS Standard Status Build Status

PostCSS plugin to replace overflow-wrap with word-wrap. May optionally retain both declarations.

/* before */
.foo {
    overflow-wrap: break-word;
}

/* after */
.foo {
    word-wrap: break-word;
}
/* before, when the option { method: 'copy' } is passed */
.foo {
    overflow-wrap: break-word;
}

/* after */
.foo {
    word-wrap: break-word;
    overflow-wrap: break-word;
}

Installation

npm install --save-dev postcss postcss-replace-overflow-wrap

For Postcss 7 or earlier use Version 3 or earlier:

npm install --save-dev postcss-replace-overflow-wrap@3

Usage

/* default usage, with no options (method = replace) */
postcss([ require('postcss-replace-overflow-wrap') ])
/* add word-wrap, but keep overflow-wrap */
postcss([ require('postcss-replace-overflow-wrap') ])({ method: 'copy' })

See PostCSS docs for examples for your environment.

About

PostCSS plugin to replace overflow-wrap with word-wrap. May optionally retain both declarations

Resources

License

Packages

No packages published
You can’t perform that action at this time.